Subject: [bug#31346] [PATCH] gnu: gnuzilla: Add mozjs-52.

From: Roel Janssen <[email-masked]>
Date: Fri, 25 May 2018 11:06:31 +0200

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Roel Janssen <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>>> +    (source (origin
>>>> +              (method url-fetch)
>>>> +              (uri (string-append
>>>> +                    "https://queue.taskcluster.net/v1/task/"
>>>> +                    "YqG2fjJJSTGzGX090FjDYg/runs/0/artifacts/"
>>>> +                    "public/build/mozjs-" version ".tar.bz2"))
>>>
>>> Could we use ftp.mozilla.org instead?
>>
>> So I thought, but it doesn't seem to be available there:
>> http://ftp.mozilla.org/pub/spidermonkey/releases/
>>
>> The latest release there is version 45.  In the pre-releases there's
>> version 59.
>>
>> Maybe I can add comment in the form:
>>
>> ;; The release notes at https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey/Releases/52
>> ;; states: “You can download full source code from treeherder, by going
>> ;; to the mozilla-esr52 repository and clicking on the first SM(pkg)
>> ;; link you see.  The download link below is the result of that.
>>
>> Would that be sufficient?
>
> Yes, sure.  Kinda weird they don’t use their own infrastructure.

So I added the comment and tried to build it again, but the build fails
now.  I need to further investigate this.

Kind regards,
Roel Janssen